commit:     4cbf65b67d0a6f8b88e68914cbdb8b76c37c9cca
Author:     Luna D Dragon <luna <AT> nullrequest <DOT> com>
AuthorDate: Wed Mar 11 18:50:04 2026 +0000
Commit:     Jason A. Donenfeld <zx2c4 <AT> gentoo <DOT> org>
CommitDate: Mon Mar 16 13:34:06 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4cbf65b6

app-admin/pass: enable using freepg as gpg

I tested freepg with the pass test suit, everything passed OOB with no
changes. I attemtped to do the same with sequoia however it is not
possible to use as the main gpg due to portage-utils requiring either
freepg or reference to be set. I have used the same check for either
the use flag reference or freepg.

Closes: https://bugs.gentoo.org/965584
Signed-off-by: Luna D Dragon <luna <AT> nullrequest.com>
Signed-off-by: Jason A. Donenfeld <zx2c4 <AT> gentoo.org>

 app-admin/pass/pass-1.7.4-r5.ebuild | 89 +++++++++++++++++++++++++++++++++++++
 1 file changed, 89 insertions(+)

diff --git a/app-admin/pass/pass-1.7.4-r5.ebuild 
b/app-admin/pass/pass-1.7.4-r5.ebuild
new file mode 100644
index 000000000000..e38c024e8bc9
--- /dev/null
+++ b/app-admin/pass/pass-1.7.4-r5.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1 elisp-common
+
+if [[ ${PV} = 9999* ]]; then
+       EGIT_REPO_URI="https://git.zx2c4.com/password-store";
+       inherit git-r3
+else
+       
SRC_URI="https://git.zx2c4.com/password-store/snapshot/password-store-${PV}.tar.xz";
+       S="${WORKDIR}/password-store-${PV}"
+
+       KEYWORDS="amd64 arm arm64 ppc64 ~riscv x86 ~arm64-macos ~x64-macos"
+fi
+
+DESCRIPTION="Stores, retrieves, generates, and synchronizes passwords securely"
+HOMEPAGE="https://www.passwordstore.org/";
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="+git wayland X emacs dmenu importers"
+
+RDEPEND="
+       || (
+               app-alternatives/gpg[reference]
+               app-alternatives/gpg[freepg(-)]
+       )
+       media-gfx/qrencode[png(+)]
+       >=app-text/tree-1.7.0
+       git? ( dev-vcs/git )
+       wayland? ( gui-apps/wl-clipboard )
+       X? ( x11-misc/xclip )
+       elibc_Darwin? ( app-misc/getopt )
+       dmenu? ( x11-misc/dmenu x11-misc/xdotool )
+       emacs? ( >=app-editors/emacs-25.1:* >=app-emacs/s-1.9.0 
>=app-emacs/with-editor-2.5.11 )
+"
+
+src_prepare() {
+       default
+
+       use elibc_Darwin || return
+       # use coreutils'
+       sed -i -e 's/openssl base64/base64/g' src/platform/darwin.sh || die
+       # host getopt isn't cool, and we aren't brew (rip out brew reference)
+       sed -i -e '/^GETOPT=/s/=.*$/=getopt-long/' src/platform/darwin.sh || die
+       # make sure we can find "mount"
+       sed -i -e 's:mount -t:/sbin/mount -t:' src/platform/darwin.sh || die
+}
+
+src_compile() {
+       use emacs && elisp-compile contrib/emacs/*.el
+}
+
+src_install() {
+       emake install \
+               DESTDIR="${D}" \
+               PREFIX="${EPREFIX}/usr" \
+               BASHCOMPDIR="$(get_bashcompdir)" \
+               WITH_BASHCOMP=yes \
+               WITH_ZSHCOMP=yes \
+               WITH_FISHCOMP=yes
+
+       use dmenu && dobin contrib/dmenu/passmenu
+
+       if use emacs; then
+               elisp-install password-store contrib/emacs/*.{el,elc}
+               elisp-site-file-install "${FILESDIR}/50password-store-gentoo.el"
+       fi
+
+       if use importers; then
+               exeinto /usr/share/${PN}/importers
+               doexe contrib/importers/*
+       fi
+}
+
+pkg_postinst() {
+       use emacs && elisp-site-regen
+       if use importers; then
+               einfo "To import passwords from other password managers, you 
may use the"
+               einfo "various importer scripts found in:"
+               einfo "    ${EROOT}/usr/share/${PN}/importers/"
+       fi
+}
+
+pkg_postrm() {
+       use emacs && elisp-site-regen
+}

Reply via email to